Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Key Life Cycle Management APIs

Viewing Details of a Bulk Job

search

Please Note:

Viewing Details of a Bulk Job

Use the get /v1/cckm/aws/bulkjob/{id} API to view the details of a bulk job with a specific ID.

Note

To perform the bulk job operations, the CCKM Users group requires the keybulkoperation ACL. Refer to Managing User Permissions on AWS KMS for details.

Syntax

curl -k '<IP>/api/v1/cckm/aws/bulkjob/{id}' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Here, {id} represents the resource ID of the bulk job.

Request Parameter

Parameter Type Description
AUTHTOKEN string Authorization token.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/aws/bulkjob/e612b64f-6364-48ce-92ec-c6dd608d7ad0' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJjNWMwZGJlNC1lMmJmLTQ3M2MtODY4MC01NWVkMWIzMDEzMmEiLCJzdWIiOiJsb2NhbHxhNjdjMzc0OC05YTRiLTRhZGQtYjNkOS0wNTRiYTIwYmUzYWMiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiMDhkNDI5ZjktNDgzYi00ODdlLWJjOTQtNGE1Mjc2ZDI2ZjZjIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImU5YWUwYTI3LWVlYjQtNGNhZi04YjE4LTdhNzIzMDBkOTA0MCIsImlhdCI6MTYwNDU1ODEzOCwiZXhwIjoxNjA0NTU4NDM4fQ.MIMArFeC4cpPNTYOd39mu6_-yihdN0CDl_917eH8-kY' --compressed

Example Response

{
    "id": "e612b64f-6364-48ce-92ec-c6dd608d7ad0",
    "uri": "kylo:kylo:cckm:bulkjob:e612b64f-6364-48ce-92ec-c6dd608d7ad0",
    "account": "kylo:kylo:admin:accounts:kylo",
    "createdAt": "2023-02-10T08:19:48.558869Z",
    "updatedAt": "2023-02-10T08:19:48.970377Z",
    "completed_at": "2023-02-10T08:19:48.970204Z",
    "overall_status": "completed",
    "detailed_status": {
        "2387500d-bcac-4055-a48d-19592c3332ff": "Success",
        "2387500d-bcac-4055-a48d-19592c3332fg": "Success"
    },
    "abort": false,
    "cloud": "aws",
    "keys": [
        "2387500d-bcac-4055-a48d-19592c3332ff",
        "2387500d-bcac-4055-a48d-19592c3332fg"
    ],
    "operation": "enablekey"
}

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.